Host Local Account Manager Update User

Host Local Account Manager Update User
Updates a local user account using the parameters defined in the *HostLocalAccountManagerAccountSpecification* data object type.

Updates a local user account using the parameters defined in the HostLocalAccountManagerAccountSpecification data object type.

Required privileges: Host.Local.ManageUserGroups

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostLocalAccountManager/{moId}/UpdateUser
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostLocalAccountManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
UpdateUserRequestType of type(s) application/json
Required

Show optional properties

{
    "user": {}
}
{
    "user": {
        "_typeName": "string",
        "id": "string",
        "password": "string",
        "description": "string"
    }
}
user
Required

Specification of user being updated.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

UserNotFound: if user is not found.

AlreadyExists: if new account specification specifies an existing user's ID.

InvalidArgument: if new password or description has an invalid format.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"user":"{}"}' https://{api_host}/sdk/vim25/{release}/HostLocalAccountManager/{moId}/UpdateUser